const
 NMAX = 100;

var
 i: Integer;

procedure print(c:char;n:Integer);
var
 i: Integer;
begin
 for i:=1 to n do write(c);
 writeln;
end;

begin
  writeln(NMAX);
  for i:=1 to NMAX-1 do print('a',i);
  writeln('bb');

  for i:=1 to NMAX-1 do write('a');
  writeln('b');
end.
